org.infinispan.schematic.internal.document

## Class CompactJsonWriter

- java.lang.Object
- - org.infinispan.schematic.internal.document.CompactJsonWriter

- All Implemented Interfaces:
    JsonWriter
  Direct Known Subclasses:
    PrettyJsonWriter

      public class CompactJsonWriter
      extends Object
      implements JsonWriter

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `CompactJsonWriter.StringBuilderWriter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompactJsonWriter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `write(Binary value, Writer writer)`
    `protected void` | `write(boolean value, Writer writer)`
    `protected void` | `write(CodeWithScope value, Writer writer)`
    `protected void` | `write(Code value, Writer writer)`
    `protected void` | `write(Date value, Writer writer)`
    `protected void` | `write(Document.Field field, Writer writer)`
    `protected void` | `write(Document bson, Writer writer)`
    `protected void` | `write(double value, Writer writer)`
    `protected void` | `write(float value, Writer writer)`
    `protected void` | `write(int value, Writer writer)`
    `protected void` | `write(Iterable<?> arrayValue, Writer writer)`
    `protected void` | `write(long value, Writer writer)`
    `protected void` | `write(MaxKey value, Writer writer)`
    `protected void` | `write(MinKey value, Writer writer)`
    `String` | `write(Object object)` Write and return the modified JSON representation of the supplied in-memory `Document`.
    `protected void` | `write(ObjectId value, Writer writer)`
    `void` | `write(Object object, OutputStream stream)` Write to the supplied stream the modified JSON representation of the supplied in-memory `Document`.
    `void` | `write(Object object, StringBuilder writer)` Write to the supplied string builder the modified JSON representation of the supplied in-memory `Document` .
    `void` | `write(Object object, Writer writer)` Write to the supplied writer the modified JSON representation of the supplied in-memory `Document`.
    `protected void` | `write(Pattern value, Writer writer)`
    `protected void` | `write(String value, Writer writer)`
    `protected void` | `write(Symbol value, Writer writer)`
    `protected void` | `write(Timestamp value, Writer writer)`
    `protected void` | `write(UUID value, Writer writer)`
    `protected void` | `writeArray(Object array, Writer writer)`
    `protected void` | `writeNull(Writer writer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompactJsonWriter

          public CompactJsonWriter()

  - ### Method Detail

    - #### write

          public void write(Object object,
                   OutputStream stream)
                     throws IOException

      Description copied from interface: `JsonWriter`
      Write to the supplied stream the modified JSON representation of the supplied in-memory `Document`.
      Specified by:
        `write` in interface `JsonWriter`
      Parameters:
        `object` - the BSON object or BSON value; may not be null
        `stream` - the output stream; may not be null
      Throws:
        `IOException` - if there was a problem reading from the stream

    - #### write

          public void write(Object object,
                   Writer writer)
                     throws IOException

      Description copied from interface: `JsonWriter`
      Write to the supplied writer the modified JSON representation of the supplied in-memory `Document`.
      Specified by:
        `write` in interface `JsonWriter`
      Parameters:
        `object` - the BSON object or BSON value; may not be null
        `writer` - the writer; may not be null
      Throws:
        `IOException` - if there was a problem reading from the stream

    - #### write

          public void write(Object object,
                   StringBuilder writer)

      Description copied from interface: `JsonWriter`
      Write to the supplied string builder the modified JSON representation of the supplied in-memory `Document` .
      Specified by:
        `write` in interface `JsonWriter`
      Parameters:
        `object` - the BSON object or BSON value; may not be null
        `writer` - the string builder; may not be null

    - #### write

          public String write(Object object)

      Description copied from interface: `JsonWriter`
      Write and return the modified JSON representation of the supplied in-memory `Document`.
      Specified by:
        `write` in interface `JsonWriter`
      Parameters:
        `object` - the BSON object or BSON value; may not be null
      Returns:
        the JSON string representation; never null

    - #### write

          protected void write(boolean value,
                   Writer writer)
                        throws IOException

      Throws:
        `IOException`

    - #### write

          protected void write(int value,
                   Writer writer)
                        throws IOException

      Throws:
        `IOException`

    - #### write

          protected void write(long value,
                   Writer writer)
                        throws IOException

      Throws:
        `IOException`

    - #### write

          protected void write(float value,
                   Writer writer)
                        throws IOException

      Throws:
        `IOException`

    - #### write

          protected void write(double value,
                   Writer writer)
                        throws IOException

      Throws:
        `IOException`

    - #### writeNull

          protected void writeNull(Writer writer)
                            throws IOException

      Throws:
        `IOException`

    - #### write

          protected void write(String value,
                   Writer writer)
                        throws IOException

      Throws:
        `IOException`

    - #### write

          protected void write(Symbol value,
                   Writer writer)
                        throws IOException

      Throws:
        `IOException`

    - #### write

          protected void write(ObjectId value,
                   Writer writer)
                        throws IOException

      Throws:
        `IOException`

    - #### write

          protected void write(Date value,
                   Writer writer)
                        throws IOException

      Throws:
        `IOException`

    - #### write

          protected void write(Timestamp value,
                   Writer writer)
                        throws IOException

      Throws:
        `IOException`

    - #### write

          protected void write(MinKey value,
                   Writer writer)
                        throws IOException

      Throws:
        `IOException`

    - #### write

          protected void write(MaxKey value,
                   Writer writer)
                        throws IOException

      Throws:
        `IOException`

    - #### write

          protected void write(Pattern value,
                   Writer writer)
                        throws IOException

      Throws:
        `IOException`

    - #### write

          protected void write(Binary value,
                   Writer writer)
                        throws IOException

      Throws:
        `IOException`

    - #### write

          protected void write(UUID value,
                   Writer writer)
                        throws IOException

      Throws:
        `IOException`

    - #### write

          protected void write(Code value,
                   Writer writer)
                        throws IOException

      Throws:
        `IOException`

    - #### write

          protected void write(CodeWithScope value,
                   Writer writer)
                        throws IOException

      Throws:
        `IOException`

    - #### write

          protected void write(Document.Field field,
                   Writer writer)
                        throws IOException

      Throws:
        `IOException`

    - #### write

          protected void write(Document bson,
                   Writer writer)
                        throws IOException

      Throws:
        `IOException`

    - #### write

          protected void write(Iterable<?> arrayValue,
                   Writer writer)
                        throws IOException

      Throws:
        `IOException`

    - #### writeArray

          protected void writeArray(Object array,
                        Writer writer)
                             throws IOException

      Throws:
        `IOException`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.